﻿
@{
    ViewData["Title"] = "آبونمان";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section scripts{

    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
    <script src="~/ADMIN/JS/persian-date.js"></script>
    <script src="~/ADMIN/JS/persian-datepicker-0.4.5.js"></script>
}

@section Styles{
    <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
}

<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<Subscription>()
           .Name("grid")
           .Events(e => e.DataBound("DataBound"))
           .Events(e => e.Edit("Edit"))
           .Columns(columns =>
           {
               columns.Bound(c => c.Title);                                                                                             
               columns.Bound(c => c.Month);             
               columns.Bound(c => c.Count);      
               columns.Bound(c => c.AdviserTime);
               columns.Bound(c => c.ReferencedContract);     
               columns.Bound(c => c.Price).Format("{0:n0} تومان");                   
               columns.Bound(c => c.Discount);     
               columns.Bound(c => c.IsActive).ClientTemplate(

                          "# if (IsActive) { #" +
                                 "فعال" +
                           "# } else { #" +
                                 "غیر فعال" +
                           "# } #"
                  );
               columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
           })
          .ToolBar(toolbar =>
          {
              toolbar.Create().Text("افزودن اشتراک");
          })
          .Groupable()
          .ColumnMenu()

          .Editable(editable =>
          {
              editable.Mode(GridEditMode.PopUp).Window(q => q.Width(480));
              editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
          }
          )
          .Pageable(pageable => pageable
               .Refresh(true)
               .PageSizes(true)
               .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
               .PageSizes(new int[] { 10, 20, 30 }))
          .Navigatable()
          .Selectable(selectable =>
          {
              selectable.Mode(GridSelectionMode.Single);
              selectable.Type(GridSelectionType.Row);
          })
          .Sortable(sortable =>
          {
              sortable.SortMode(GridSortMode.SingleColumn);
          })
          .Filterable()
          .Scrollable(s => s.Height("auto").Enabled(false))
          .DataSource(dataSource => dataSource
              .Ajax()
              .Sort(sort => sort.Add("SubscriptionID").Descending())
              .Model(model => model.Id(p => p.SubscriptionID))
              .Read(read => read.Action("Subscription_Read", "Subscription"))
              .Create(create => create.Action("Subscription_Create", "Subscription"))
              .Update(update => update.Action("Subscription_Update", "Subscription"))
              .Destroy(destroy => destroy.Action("Subscription_Destroy", "Subscription"))
          )
        )
    </div>
</div>



<script>
    function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
            $(this).find('td').each(function (index, value) {
                if ($(this).text().includes(":") && $(this).text().includes("-")) {
                    var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                        .format('jYYYY/jM/jDD HH:mm:ss')
                    result = result.replace(' ', '\n');
                    $(this).text(result)
                }
            })
        });
    }
    function Edit(e) {


        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();
        $(e.container["0"].firstChild.children[16]).hide();
        $(e.container["0"].firstChild.children[17]).hide();

        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: "افزودن اشتراک"
            });
        } else {
            kendoWindow.setOptions({
                title: "ویرایش اشتراک"
            });
        }

        $(".Start,.End").pDatepicker({
            format: "YYYY/MM/DD HH:mm:ss",
            timePicker: {
                enabled: true
            },
            onSelect: function () {
                moment().format('jYYYY/jM/jD HH:mm:ss');
                var ww = moment($("." + e.container.prevObject["0"].lastElementChild.attributes["0"].ownerDocument.activeElement.className).val(), 'jYYYY/jM/jD HH:mm:ss')
                    .format('YYYY-M-D HH:mm:ss') // 2013-8-25 16:40:00
                $("#" + e.container.prevObject["0"].lastElementChild.attributes["0"].ownerDocument.activeElement.className).val(ww).trigger('change');
                //moment.loadPersian()
            }
        });
    }
    function Error(e) {
        if (e.errors) {
            var message = "خطای رخ داده:\n";
            $.each(e.errors, function (key, value) {
                if ('errors' in value) {
                    $.each(value.errors, function () {
                        message += this + "\n";
                    });
                }
            });
            alert(message);
        }
    }

</script>

